Sada je: 21 lis 2019, 05:38.
Diskusije usko vezane uz Arch Linux i srodne distribucije.

Moderator/ica: Moderatori/ce

Isprobavam Arch + KDE.
Imam problem sa grafičkom karticom. Drajver xf86-video-ati radi ok, ali nije dovoljno dobar za 3D akceleraciju.
Ako instaliram catalyst i catalyst-utils (dodao sam [catalyst] repozitorij), KDE neće da se starta i stane na oko 80% učitavanja. szbunjen
Prilikom prve instalacije catalyst drajvera, sve je radilo ok. Nakon reboota ili dva, ne radi. Reinstalacija ne pomaže. catalyst-generator, catalyst-hook ili catalyst-daemon mi ne pomažu. szbunjen

btw, Kakvo je stanje sa brojnošću paketa u odnosu na Ubuntu i derivate? Brojnost paketa mi se za sada čini ok.
Zadnja izmjena: qwxy; 01 ruj 2012, 00:56; ukupno mijenjano 1 put/a.
Postovi: 121
Postovi: 121
Pridružen/a: 21 srp 2012, 00:36
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 1 puta
Spol: M
OS: Arch Compiz|LXQt Debian
qwxy je napisao/la:btw, Kakvo je stanje sa brojnošću paketa u odnosu na Ubuntu i derivate? Brojnost paketa mi se za sada čini ok.

Ako u obzir uzmeš AUR, morat ćeš se dobro pomučiti da pronađeš paket kojeg nema. Međutim, u AUR-u se često zna dogoditi da paket nije baš ažuriran, pogotovo u zadnje vrijeme (za razliku od paketa u službenim repoima).
1986-1990: Commodore64 / 1990-1994: Amiga 500 / 1995-1996: Amiga 1200 / 1997-2001: N/A@home /
2002-2004: Windows98, XP /
2004-2005: Knoppix, Mandrake / 2005: Mandriva, Ubuntu / 2005-2009: LFS / 2009-2010: Mint /
2010-... Arch
Avatar
Moderator
Postovi: 3293
Moderator
Postovi: 3293
Pridružen/a: 01 pro 2010, 23:50
Lokacija: Nova Gradiška
Podijelio/la zahvalu: 122 puta
Primio/la zahvalu: 156 puta
OS: Arch/KDE, Debian/Armbian
Riješio sam ovaj problem.
Za sada 3D podrška radi ok i KDE se učita. Ako bude ponovo bilo problema, javim vam. :)

Procedura: (step-by-step koliko god je to moguće)

1. Uklonite xf86-video-ati, catalyst i catalyst-utils (i alate, ako ste ih instalirali) ili vesa drajver. (koristite pacman -Rdd ako nemožete ukloniti paket koristeći pacman -Rs ili pacman -R)
2. Skinite amd-driver-installer-12-8-x86.x86_64.zip ili kako se već zove.
3. Otpakujte ga.
4. Dodijelite pravo izvršavanja. (koristeći ili chmod +x amd-driver-installer-8.982-x86.x86_64.run naredbu ili file manager)
5. ./amd-driver-installer-8.982-x86.x86_64.run --extract driver
6. Nađite i skinite sa neta 2 patch fajla:
Patch-FGLRX-8-98-Kernel-3-5-1_4_FireGL.patch i Patch-FGLRX-8-98-Kernel-3-5-1_4_KCL.patch
7. Primjenite 2 patcha:
Patch-FGLRX-8-98-Kernel-3-5-1_4_FireGL.patch i Patch-FGLRX-8-98-Kernel-3-5-1_4_KCL.patch:
patch -p1 < <putanja do patch fajla>
Kada vas upita za putanju fajla, unesete mu je (čitajući sadržaj patch fajla ili koristeći grafički alat kao što je Kompare)
8. sudo ./ati-installer.sh 8.982 --install (instalirate ga)
9. sudo aticonfig --initial
10. sudo reboot (restartujte računar)
:sretno

Instalacija bi se trebala uspješno okončati i KDE bi se trebao učitati i pokrenuti.
Naravno da većini Arch korisnika nije potrebna ovako detaljno objašnjena procedura, ali ja lično preferiram preciznost u većini slučajeva.

Možda bolje da sam si kupio Nvidiinu ili integrisanu Intelovu grafičku umjesto ATIjeve. Čak i pod Window$om (dok sam ga koristio) sam imao problema sa ATIjevim grafičkim karticama, bile one starije ili novije. Primjeri uključuju probleme tipa monitor iznenada ništa ne prikazuje i nemoguće je uraditi ništa prilikom dozvoljene hardverske flash acceleracije (čitaj: gledam video na youtubeu i monitor iznenada ništa ne prikazuje više i moram držati tipku za paljenje (ili kako se to već zove) pritisnutu 5-10 sekundi da bi ga ugasio i pokrenuo ponovo) (da, znam da je flash bugovit, ali je i ati catalyst driver također) ili tipa driver ne radi na starijoj grafičkoj kartici i nemoguće ga je koristiti iako je zvanično podržan od strane ATIja te moram koristiti stariju verziju ATIjevog drivera iako bi novi trebao raditi. Sa intelovim integrisanim grafičkim karticama nikada nisam imao potrebe samostalno instalirati driver da bi radile pod Linuxom. :snoozer: :offtopic :oops:

Pokušati ču koristiti Arch + KDE neko vrijeme umjesto Kubuntu-a. Brojnost paketa je ok. Većina AUR paketa koje bih instalirao su ustvari ažurirani, koliko sam imao prilike da vidim.
Postovi: 121
Postovi: 121
Pridružen/a: 21 srp 2012, 00:36
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 1 puta
Spol: M
OS: Arch Compiz|LXQt Debian

Na mreži
Trenutno korisnika/ca: / i 1 gost.